Bug 557024 - iptables script starts despite disabling with chkconfig
iptables script starts despite disabling with chkconfig
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-20 01:45 EST by Andrew McNabb
Modified: 2010-11-08 11:30 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-08 11:30:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew McNabb 2010-01-20 01:45:29 EST
I ran "chkconfig iptables off" and "chkconfig --list iptables" shows that the service is disabled for all runlevels.  However, when I reboot, the system has tons of rules as shown with "iptables -L".  Running "service iptables stop" clears out the offending rules.  How are rules getting added to the tables?  Is some other script adding them or is /etc/init.d/iptables somehow getting run?  Thanks.
Comment 1 Andrew McNabb 2010-01-20 01:55:15 EST
Hmm.  I can't tell for sure, but it looks like this might somehow be related to libvirtd.  Libvirtd seems to create a bunch of network devices, start up an instance of dnsmasq with the network 192.168.122.0/24, and add iptables rules, but only the first time it is started.  Is it a bug, then, that "service iptables stop" removes the rules created by libvirtd?  I admit I'm very confused and uninformed about the whole thing.
Comment 2 Michael Breuer 2010-02-04 14:51:07 EST
Anything in boot.log, messages or dmesg? /etc/rc.d/rc.local?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Thomas Woerner 2010-06-01 09:39:43 EDT
These rules are added by libvirtd for guests by hand. Currently the rules are not persistent and therefore stopping the iptables service will remove them on stop.
Comment 4 Bug Zapper 2010-11-03 20:27:55 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Andrew McNabb 2010-11-04 16:16:10 EDT
It looks like these rules are still being added by libvirtd in Fedora 14.  Which is especially weird since I already have a bridge, so libvirtd doesn't need to create an interface at all.
Comment 6 Thomas Woerner 2010-11-05 04:31:58 EDT
THe rules are added by libvirt, there is nothing the iptables service can do for now. So maybe would be best to assign to libvirt.
Comment 7 Daniel Berrange 2010-11-08 05:05:09 EST
libvirt creates rules to setup NAT for the default virtual network on virbr0. These rules only allow outbound traffic, and explicitly block inbound traffic on virbr0. If you don't want the virtual network, then disable it  'virsh net-destroy default && virsh net-autostart --disable default'.
Comment 8 Andrew McNabb 2010-11-08 11:16:57 EST
In the case that these rules are desired, then it would be incorrect for "service iptables stop" to delete the rules, right?  Unless they automatically get readded on "service iptables start".
Comment 9 Daniel Berrange 2010-11-08 11:30:47 EST
Unfortunately the iptables initscript provides no viable way to preserve custom iptables additions, This problem is discussed in bug 227011.  libvirtd will re-create its iptables rules upon restart/reload

Note You need to log in before you can comment on or make changes to this bug.